; 08/01/2008 15.18 - DS2100N SS3838 Standard
;
; 2. Reading Parameters:Motor Control: Std vs. Testarossa;
;                  Std           TR
;    (Speed_1)  Motor Off    Motor Off
;    (Speed_2)  500 scan/s   -
;    (Speed_3)  800 scan/s   800 scan/s
;    (Speed_4)  -            1000 scan/s
;
;
DICTIONARY:

;/*---------------08.02.2005 16:18----es---WITRON---A---serie 2xxx-------------*/
   DEF:CheckRoutine
    VAL:Disabled,$20
    VAL:Standard,$21
    VAL:DaimlerChrysler,$22
    VAL:Bosch Mod11,$23
    VAL:PostPZ,$24
    VAL:GermanParcel,$25
;/*---------------08.02.2005 16:18----es---WITRON---A---serie 2xxx-------------*/
  DEF:EnabDisab
    VAL:Disabled,$20
    VAL:Enabled,$21
  DEF:DisLowUp
    VAL:Disabled,$20
    VAL:Enabled Lower Case,$21
    VAL:Enabled Upper Case,$22
  DEF:StdHiTgl
    VAL:Standard,$20
    VAL:High,$21
    VAL:Toggle,$22
; DEF:DigitizerType
;   VAL:Mean Threshold,$20
;   VAL:Derivative Threshold,$21
;   VAL:Toggle,$22
  DEF:StdDifTgl
    VAL:Standard,$20
    VAL:Difficult,$21
    VAL:Toggle,$22
; DEF:StdDifVdif
;   VAL:Standard,$20
;   VAL:Difficult,$21
;
;   VAL:Very Difficult,$23
  DEF:Speed
    VAL:Speed_1,$20
    VAL:Speed_2,$21
    VAL:Speed_3,$22
    VAL:Speed_4,$23
  DEF:NewSpeed
    VAL:Motor Off,$20
    VAL:Speed_2,$21
    VAL:Speed_3,$22
    VAL:Speed_4,$23
  DEF:BeamShutter
    VAL:Disabled,$20
    VAL:Triggered,$21
    VAL:Enabled,$22
  DEF:CodeType
    VAL:Disabled,$7F
    VAL:2/5 INTERLEAVED,$41
    VAL:CODE 39,$42
    VAL:CODE 39 FULL ASCII,$43
    VAL:CODABAR,$46
    VAL:ABC CODABAR,$5E
;    VAL:PAKO,$5F
    VAL:CODE 128,$47
    VAL:EAN 128,$48
    VAL:ISBT 128,$60
    VAL:CODE 93,$49
;    VAL:PLESSEY,$57
    VAL:PHARMACODE,$5D
    VAL:ALL EAN/UPC,$5C
    VAL:EAN13,$4B
    VAL:EAN8,$4C
    VAL:UPCA,$4D
    VAL:UPCE,$4E
    VAL:EAN13 ADDON2,$4F
    VAL:EAN8 ADDON2,$50
    VAL:UPCA ADDON2,$51
    VAL:UPCE ADDON2,$52
    VAL:EAN13 ADDON5,$53
    VAL:EAN8 ADDON5,$54
    VAL:UPCA ADDON5,$55
    VAL:UPCE ADDON5,$56
    VAL:EAN/UPC w/o ADDON,$58
    VAL:EAN/UPC ADDON2,$59
    VAL:EAN/UPC ADDON5,$5A
    VAL:EAN/UPC ADDON,$5B
  DEF:BaudRates
    VAL:150,$20
    VAL:300,$21
    VAL:600,$22
    VAL:1200,$23
    VAL:2400,$24
    VAL:4800,$25
    VAL:9600,$26
    VAL:19200,$27
    VAL:38400,$28
    VAL:57600,$29
    VAL:115200,$2B
  DEF:Parities
    VAL:None,$20
    VAL:Odd,$21
    VAL:Even,$22
  DEF:DataBits
    VAL:7,$20
    VAL:8,$21
  DEF:StopBits
    VAL:1,$20
    VAL:2,$21
  DEF:HandShakes_M
    VAL:None,$20
    VAL:RTS/CTS,$21
    VAL:XON/XOFF,$22
  DEF:HandShakes_A
    VAL:None,$20
    VAL:XON/XOFF,$22
  DEF:OutxActOn
    VAL:No Read,$20
    VAL:Right,$21
    VAL:Wrong,$22
    VAL:Wrong/No Read,$23
    VAL:Wrong/Right,$24
    VAL:Right/No Read,$25
  DEF:InOutxConfig
    VAL:Normally Open,$20
    VAL:Normally Closed,$21
  DEF:OutxMode
    VAL:Disabled,$20
    VAL:Level,$21
    NUM:10..250,$22,10, ms pulse
    NUM:300..1500,$3B,50, ms pulse
  DEF:VerCode
    VAL:Disabled,$7F
    VAL:Any Character,$80
    VAL:Any String,$81
    CHR:$00..$7E





  DEF:GenericChr
    VAL:Disabled,$7F
    CHR:$00..$7E
  DEF:MatchOpts
    VAL:Disabled,$7F
    VAL:Any Character,$80
    VAL:Any String,$81
    CHR:$00..$7E
  DEF:Overflow
	VAL:Automatic,$00
    VAL:0.87 s,$02
    VAL:1.74 s,$04
    VAL:2.60 s,$06
    VAL:3.47 s,$08
    VAL:4.34 s,$0A
    VAL:5.21 s,$0C
    VAL:6.08 s,$0E
    VAL:6.94 s,$10
    VAL:7.81 s,$12
    VAL:8.68 s,$14
    VAL:9.55 s,$16
    VAL:10.42 s,$18
    VAL:12.15 s,$1C
    VAL:13.88 s,$20
    VAL:15.62 s,$24
    VAL:16.50 s,$26
    VAL:18.23 s,$2A
    VAL:19.96 s,$2E
    VAL:21.70 s,$32
    VAL:23.44 s,$36
    VAL:25.17 s,$3A
    VAL:26.91 s,$3E
    VAL:28.44 s,$42
    VAL:30.38 s,$46
    VAL:32.98 s,$4C
    VAL:35.59 s,$52
    VAL:38.19 s,$58
    VAL:40.80 s,$5E
    VAL:44.27 s,$66
    VAL:47.74 s,$6E
    VAL:51.21 s,$76
    VAL:55.55 s,$80
    VAL:59.89 s,$8A
    VAL:64.23 s,$94
    VAL:68.57 s,$9E
    VAL:72.91 s,$A8
    VAL:77.25 s,$B2
    VAL:81.59 s,$BC
    VAL:86.80 s,$C8
    VAL:92.01 s,$D4
    VAL:97.22 s,$E0
    VAL:102.4 s,$EC
    VAL:107.6 s,$F8
    VAL:110.7 s,$FF

  DEF:BarCount
    VAL:Variable,$20
    VAL:25,$21
    VAL:29,$51
    VAL:31,$22
    VAL:37,$23
    VAL:39,$52
    VAL:43,$24
    VAL:49,$25
    VAL:55,$26
    VAL:59,$53
    VAL:61,$27
    VAL:67,$28
    VAL:69,$54
    VAL:73,$29
    VAL:79,$2A
    VAL:85,$2B
    VAL:89,$55
    VAL:91,$2C
    VAL:97,$2D
    VAL:99,$56
    VAL:103,$2E
    VAL:109,$2F
    VAL:115,$30
    VAL:119,$57
    VAL:121,$31
    VAL:127,$32
    VAL:129,$58
    VAL:133,$33
    VAL:139,$34
    VAL:145,$35
    VAL:149,$59
    VAL:151,$36
    VAL:157,$37
    VAL:159,$5A
    VAL:163,$38
    VAL:169,$39
    VAL:175,$3A
    VAL:179,$5B
    VAL:181,$3B
    VAL:187,$3C
    VAL:189,$5C
    VAL:193,$3D
    VAL:199,$3E
    VAL:205,$3F
    VAL:209,$5D
    VAL:211,$40
    VAL:217,$41
    VAL:219,$5E
    VAL:223,$42
    VAL:229,$43
    VAL:235,$44
    VAL:239,$5F
    VAL:241,$45
    VAL:247,$46
    VAL:249,$60
    VAL:253,$47
    VAL:259,$48
    VAL:265,$49
    VAL:269,$61
    VAL:271,$4A
    VAL:277,$4B
    VAL:279,$62
    VAL:283,$4C
    VAL:289,$4D
    VAL:295,$4E
    VAL:299,$63
    VAL:301,$4F
    VAL:307,$50
    NUM:309..509,$64,10

  DEF:IsbtType
    VAL:None,$20
    VAL:Donation ID,$21
    VAL:Blood Group,$22
    VAL:Expiration Date,$23
    VAL:Expiration Date-Time,$24
    VAL:Collection Date,$25
    VAL:Collection Date-Time,$26
    VAL:Product Code,$27
    VAL:Donor ID,$28
    VAL:Manufacturer ID,$29
    VAL:Manufacturer Lot,$2A
    VAL:Staff Member,$2B
    VAL:Nat. Product Code,$2C
    VAL:Nat. Special Testing,$2D
    VAL:Nat. Use Bar Code,$2E
    VAL:Nat. CUE Status,$2F
    VAL:Nat. Donor ID,$30
  DEF:QuietZones
    VAL:Both,$20
    VAL:One,$21

  DEF:ACB1ScanGap
    VAL:5,$21
    VAL:10,$22
    VAL:15,$23
    VAL:20,$24
    VAL:25,$25
    VAL:30,$26
    VAL:35,$27
    VAL:40,$28
    VAL:45,$29
    VAL:50,$2A
    VAL:55,$2B
    VAL:60,$2C
    VAL:65,$2D
    VAL:70,$2E
    VAL:75,$2F
    VAL:80,$30
    VAL:85,$31
    VAL:90,$32
    VAL:95,$33
    VAL:100,$34
    VAL:105,$35
    VAL:110,$36
    VAL:115,$37
    VAL:120,$38
    VAL:125,$39
    VAL:130,$3A
    VAL:135,$3B
    VAL:140,$3C
    VAL:145,$3D
    VAL:150,$3E
    VAL:155,$3F
    VAL:160,$40
    VAL:165,$41
    VAL:170,$42
    VAL:175,$43
    VAL:180,$44
    VAL:185,$45
    VAL:190,$46
    VAL:195,$47
    VAL:200,$48
    VAL:205,$49
    VAL:210,$4A
    VAL:215,$4B
    VAL:220,$4C
    VAL:225,$4D
    VAL:230,$4E
    VAL:235,$4F
    VAL:240,$50
    VAL:245,$51
    VAL:250,$52
    VAL:255,$53
    VAL:260,$54
    VAL:265,$55
    VAL:270,$56
    VAL:275,$57
    VAL:280,$58
    VAL:285,$59
    VAL:290,$5A
    VAL:295,$5B
    VAL:300,$5C
    VAL:305,$5D
    VAL:310,$5E
    VAL:315,$5F
  DEF:ACB2ScanGap
    VAL:5,$21
    VAL:10,$22
    VAL:15,$23
    VAL:20,$24
    VAL:25,$25
    VAL:30,$26
    VAL:35,$27
    VAL:40,$28
    VAL:45,$29
    VAL:50,$2A
    VAL:55,$2B
    VAL:60,$2C
    VAL:65,$2D
    VAL:70,$2E
    VAL:75,$2F
    VAL:80,$30
    VAL:85,$31
    VAL:90,$32
    VAL:95,$33
    VAL:100,$34
    VAL:110,$35
    VAL:120,$36
    VAL:130,$37
    VAL:140,$38
    VAL:150,$39
    VAL:160,$3A
    VAL:170,$3B
    VAL:180,$3C
    VAL:190,$3D
    VAL:200,$3E
    VAL:220,$3F
    VAL:240,$40
    VAL:260,$41
    VAL:280,$42
    VAL:300,$43
    VAL:320,$44
    VAL:340,$45
    VAL:360,$46
    VAL:380,$47
    VAL:400,$48
    VAL:420,$49
    VAL:440,$4A
    VAL:460,$4B
    VAL:480,$4C
    VAL:500,$4D
    VAL:525,$4E
    VAL:550,$4F
    VAL:575,$50
    VAL:600,$51
    VAL:625,$52
    VAL:650,$53
    VAL:675,$54
    VAL:700,$55
    VAL:725,$56
    VAL:750,$57
    VAL:775,$58
    VAL:800,$59
    VAL:825,$5A
    VAL:850,$5B
    VAL:875,$5C
    VAL:900,$5D
    VAL:950,$5E
    VAL:1000,$5F
  DEF:YesNo
    VAL:No,$20
    VAL:Yes,$21
  DEF:ChainMode
    VAL:Do Not Chain,$20
    VAL:Optional Chain,$21
    VAL:Mandatory Chain,$22

STRUCTURE: VB14N,4054_022.CHM,Template file for VB14N-300 Standard models\ New Standard P+F

  PAGE:Advanced Code Options #80000; =======================================
    HDR:Linear Reading Options;----------------------------
      ENTRY:Required Quiet Zones,$1B $50 $41=Both,$20 #80010
        DEF:QuietZones
;; M.G. 05/08/2005 15.59 The new acqusition/decoding scheme DOES NOT ALLOW to set
;; the noise elements They are NOT supported. Only the whole acquisition is passed. The pre-processor
;; (H/W or S/W) is NOT allowed
;;      ENTRY:Max. Noise Elements,$1B $50 $42=2,$20 @Required Quiet Zones=One #80011
;;        VAL:2,$20
;;        VAL:4,$21
;;        VAL:6,$22
;;        VAL:8,$23
;;        VAL:10,$24
    HDR: ACB parameters  ;--------------------
      ENTRY:Max Scan Gap,$1B $4F $42=100,$34 #80020
        DEF:ACB2ScanGap
      ENTRY:Min Fragment Length,$1B $4F $43=Half code,$20 #80021
        VAL:Half code,$20
        NUM:1..24,$21,1
      ENTRY:Min Overlap Length,$1B $4F $44=0,$20 #80022
        NUM:0..4,$20,1
;    HDR: Hidden ACB parameters;--------------------
;      ENTRY:Wake Up Scans,$1B $4F $4D=Internal,$60
;      It is used when ACB completed with result OK. After this step the ACB enter
;      into 'sleep mode' (no decoding allowed).
;      ACB exit sleep mode using the above number of scans.
;      val. 0 disable this 'sleep' interval
;      It is valid for all code families
;       VAL:Disabled,$20                       ;Same range as Max Scan Gap but 0 is valid
;       VAL:Internal,$60
;       DEF:ACB2ScanGap
;      ENTRY:Resume Scans,$1B $4F $4E=Internal,$60      ;Values ranging from 0; steps of 5 units.
;      If inside the same scan line ACB process find 2 different codes, the process itself
;      has to enter into a 'sleep' mode (no further deocidng allowed) in order to avoid mis-stiching.
;      The 'sleep' duration is fixed by the above parameter.
;      It is valid for all code families
;       VAL:Disabled,$20
;       VAL:Internal,$60
;       DEF:ACB1ScanGap
    HDR:Concatenation ;----------------------------
;      ENTRY:Pako,$1B $50 $55=Do Not Chain,$20 #80030
;        DEF:ChainMode
      ENTRY:ABC Codabar,$1B $50 $54=Do Not Chain,$20 #80030
        DEF:ChainMode
      ENTRY:ISBT 128,$1B $50 $53=Do Not Chain,$20 #80030
        DEF:ChainMode

      ENTRY:Chain 1: Left -,$1B $50 $43=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 1:        - Right,$1B $50 $44=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 2: Left -,$1B $50 $45=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 2:        - Right,$1B $50 $46=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 3: Left -,$1B $50 $47=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 3:        - Right,$1B $50 $48=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 4: Left -,$1B $50 $49=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 4:        - Right,$1B $50 $4A=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 5: Left -,$1B $50 $4B=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 5:        - Right,$1B $50 $4C=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 6: Left -,$1B $50 $4D=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 6:        - Right,$1B $50 $4E=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 7: Left -,$1B $50 $4F=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 7:        - Right,$1B $50 $50=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 8: Left -,$1B $50 $51=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType
      ENTRY:Chain 8:        - Right,$1B $50 $52=None,$20 @ ISBT 128<>Do Not Chain #80031
        DEF:IsbtType


  PAGE:Code Setup #10000; =======================================
    HDR:Options For All Codes ;----------------------------
      ENTRY:Multi Label,$1B $42 $41=Disabled,$20 #10101
        DEF:EnabDisab
      ENTRY:Decoding Safety,$1B $47 $43=1,$20 #10102
        NUM:1..10,$20,1
      ENTRY:Decoding Severity Level,$1B $42 $4F=3,$22 #10104
        VAL:1,$20
        VAL:2,$21
        VAL:3,$22
        VAL:4,$23
        VAL:5,$24




      ENTRY:Global No Read Char.,$1B $4B $4B=CAN,$18 #10105
        VAL:Disabled,$7F
        CHR:$00..$7E

      ENTRY:Code Position Test,$1B $42 $4E=Disabled,$20
        DEF:EnabDisab

    HDR:ACB;----------------------------
      ENTRY:2/5 Interleaved,$1B $4F $46=Disabled,$20 #10110
        DEF:EnabDisab
; MODIFIED BECAUSE THE <ESC> O G function was ALREADY USED. Replaceds by <ESC> O L sequence
      ENTRY:Code 39 and derivates,$1B $4F $4C=Disabled,$20 #10110
        DEF:EnabDisab
      ENTRY:Codabar,$1B $4F $48=Disabled,$20 #10110
        DEF:EnabDisab
      ENTRY:Code 128/EAN 128,$1B $4F $49=Disabled,$20 #10110
        DEF:EnabDisab
      ENTRY:EAN/UPC,$1B $4F $4A=Disabled,$20 #10110
        DEF:EnabDisab
      ENTRY:Code 93,$1B $4F $4B=Disabled,$20 #10110
        DEF:EnabDisab
    HDR:Options For Each Code ;----------------------------
    HDR:Code 1 ;--------------------------------------------
      ENTRY:Code Type,$1B $43 $41=CODE 39,$42 #10201
        DEF:CodeType
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit,$1B $43 $42=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR #10202
        DEF:CheckRoutine
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit Tx,$1B $43 $44=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PLESSEY&Check Digit=Enabled #10203
        DEF:EnabDisab
      ENTRY:Codabar Start/Stop Tx,$1B $43 $43=Disabled,$20 @Code Type=CODABAR,ABC CODABAR,PAKO #10204
        DEF:DisLowUp
      ENTRY:Code Length,$1B $43 $45=Variable,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10205
        VAL:Variable,$20
        NUM:1..48,$21
      ENTRY:Minimum Code Length,$1B $43 $4F=1,$20  @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Maximum Code Length,$1B $43 $50=48,$4F @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Bar Count,$1B $43 $4D=Variable,$20 @Code Type=CODE 128,EAN 128,ISBT 128,CODE 93,CODE 39 FULL ASCII #10206
        DEF:BarCount






      ENTRY:Min Pos. In Scan Line,$1B $43 $51=0,$20 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20
      ENTRY:Max Pos. In Scan Line,$1B $43 $52=54,$56 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20

      ENTRY:Match 1,$1B $43 $48=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 2,$1B $43 $49=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 3,$1B $43 $4A=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 4,$1B $43 $4B=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts






      ENTRY:Local No Read Char.,$1B $43 $4C=CAN,$18 @Code Type<>Disabled&Global No Read Char.=Disabled #10210
        CHR:$00..$7E
    HDR:Code 2 ;--------------------------------------------
      ENTRY:Code Type,$1B $44 $41=Disabled,$7F #10201
        DEF:CodeType
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit,$1B $44 $42=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR #10202
        DEF:CheckRoutine
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit Tx,$1B $44 $44=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PLESSEY&Check Digit=Enabled #10203
        DEF:EnabDisab
      ENTRY:Codabar Start/Stop Tx,$1B $44 $43=Disabled,$20 @Code Type=CODABAR,ABC CODABAR,PAKO #10204
        DEF:DisLowUp
      ENTRY:Code Length,$1B $44 $45=Variable,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10205
        VAL:Variable,$20
        NUM:1..48,$21
      ENTRY:Minimum Code Length,$1B $44 $4F=1,$20 @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Maximum Code Length,$1B $44 $50=48,$4F @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Bar Count,$1B $44 $4D=Variable,$20 @Code Type=CODE 128,EAN 128,ISBT 128,CODE 93,CODE 39 FULL ASCII #10206
        DEF:BarCount






      ENTRY:Min Pos. In Scan Line,$1B $44 $51=0,$20 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20
      ENTRY:Max Pos. In Scan Line,$1B $44 $52=54,$56 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20

      ENTRY:Match 1,$1B $44 $48=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 2,$1B $44 $49=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 3,$1B $44 $4A=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 4,$1B $44 $4B=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts






      ENTRY:Local No Read Char.,$1B $44 $4C=CAN,$18 @Code Type<>Disabled&Global No Read Char.=Disabled #10210
        CHR:$00..$7E
    HDR:Code 3 ;--------------------------------------------
      ENTRY:Code Type,$1B $45 $41=Disabled,$7F #10201
        DEF:CodeType
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit,$1B $45 $42=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR #10202
        DEF:CheckRoutine
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit Tx,$1B $45 $44=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PLESSEY&Check Digit=Enabled #10203
        DEF:EnabDisab
      ENTRY:Codabar Start/Stop Tx,$1B $45 $43=Disabled,$20 @Code Type=CODABAR,ABC CODABAR,PAKO #10204
        DEF:DisLowUp
      ENTRY:Code Length,$1B $45 $45=Variable,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10205
        VAL:Variable,$20
        NUM:1..48,$21
      ENTRY:Minimum Code Length,$1B $45 $4F=1,$20 @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Maximum Code Length,$1B $45 $50=48,$4F @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Bar Count,$1B $45 $4D=Variable,$20 @Code Type=CODE 128,EAN 128,ISBT 128,CODE 93,CODE 39 FULL ASCII #10206
        DEF:BarCount






      ENTRY:Min Pos. In Scan Line,$1B $45 $51=0,$20 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20
      ENTRY:Max Pos. In Scan Line,$1B $45 $52=54,$56 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20

      ENTRY:Match 1,$1B $45 $48=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 2,$1B $45 $49=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 3,$1B $45 $4A=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 4,$1B $45 $4B=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts






      ENTRY:Local No Read Char.,$1B $45 $4C=CAN,$18 @Code Type<>Disabled&Global No Read Char.=Disabled #10210
        CHR:$00..$7E
    HDR:Code 4 ;--------------------------------------------
      ENTRY:Code Type,$1B $46 $41=Disabled,$7F #10201
        DEF:CodeType
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit,$1B $46 $42=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR #10202
        DEF:CheckRoutine
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit Tx,$1B $46 $44=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PLESSEY&Check Digit=Enabled #10203
        DEF:EnabDisab
      ENTRY:Codabar Start/Stop Tx,$1B $46 $43=Disabled,$20 @Code Type=CODABAR,ABC CODABAR,PAKO #10204
        DEF:DisLowUp
      ENTRY:Code Length,$1B $46 $45=Variable,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10205
        VAL:Variable,$20
        NUM:1..48,$21
      ENTRY:Minimum Code Length,$1B $46 $4F=1,$20 @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Maximum Code Length,$1B $46 $50=48,$4F @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Bar Count,$1B $46 $4D=Variable,$20 @Code Type=CODE 128,EAN 128,ISBT 128,CODE 93,CODE 39 FULL ASCII #10206
        DEF:BarCount






      ENTRY:Min Pos. In Scan Line,$1B $46 $51=0,$20 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20
      ENTRY:Max Pos. In Scan Line,$1B $46 $52=54,$56 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20

      ENTRY:Match 1,$1B $46 $48=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 2,$1B $46 $49=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 3,$1B $46 $4A=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 4,$1B $46 $4B=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts






      ENTRY:Local No Read Char.,$1B $46 $4C=CAN,$18 @Code Type<>Disabled&Global No Read Char.=Disabled #10210
        CHR:$00..$7E
    HDR:Code 5 ;--------------------------------------------
      ENTRY:Code Type,$1B $41 $41=Disabled,$7F #10201
        DEF:CodeType
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit,$1B $41 $42=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR #10202
        DEF:CheckRoutine
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit Tx,$1B $41 $44=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PLESSEY&Check Digit=Enabled #10203
        DEF:EnabDisab
      ENTRY:Codabar Start/Stop Tx,$1B $41 $43=Disabled,$20 @Code Type=CODABAR,ABC CODABAR,PAKO #10204
        DEF:DisLowUp
      ENTRY:Code Length,$1B $41 $45=Variable,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10205
        VAL:Variable,$20
        NUM:1..48,$21
      ENTRY:Minimum Code Length,$1B $41 $4F=1,$20 @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Maximum Code Length,$1B $41 $50=48,$4F @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Bar Count,$1B $41 $4D=Variable,$20 @Code Type=CODE 128,EAN 128,ISBT 128,CODE 93,CODE 39 FULL ASCII #10206
        DEF:BarCount






      ENTRY:Min Pos. In Scan Line,$1B $41 $51=0,$20 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20
      ENTRY:Max Pos. In Scan Line,$1B $41 $52=54,$56 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20

      ENTRY:Match 1,$1B $41 $48=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 2,$1B $41 $49=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 3,$1B $41 $4A=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 4,$1B $41 $4B=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts

      ENTRY:Local No Read Char.,$1B $41 $4C=CAN,$18 @Code Type<>Disabled&Global No Read Char.=Disabled #10210
        CHR:$00..$7E


    HDR:Code 6 ;--------------------------------------------
      ENTRY:Code Type,$1B $48 $41=Disabled,$7F #10201
        DEF:CodeType
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit,$1B $48 $42=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR #10202
        DEF:CheckRoutine
;/*---------------08.02.2005 16:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Check Digit Tx,$1B $48 $44=Disabled,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PLESSEY&Check Digit=Enabled #10203
        DEF:EnabDisab
      ENTRY:Codabar Start/Stop Tx,$1B $48 $43=Disabled,$20 @Code Type=CODABAR,ABC CODABAR,PAKO #10204
        DEF:DisLowUp
      ENTRY:Code Length,$1B $48 $45=Variable,$20 @Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10205
        VAL:Variable,$20
        NUM:1..48,$21
      ENTRY:Minimum Code Length,$1B $48 $4F=1,$20 @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Maximum Code Length,$1B $48 $50=48,$4F @Code Length=Variable&Code Type=2/5 INTERLEAVED,CODE 39,CODE 39 FULL ASCII,CODABAR,ABC CODABAR,PAKO,PLESSEY,CODE 128,EAN 128,ISBT 128,CODE 93,PHARMACODE #10215
        NUM:1..48,$20,1
      ENTRY:Bar Count,$1B $48 $4D=Variable,$20 @Code Type=CODE 128,EAN 128,ISBT 128,CODE 93,CODE 39 FULL ASCII #10206
        DEF:BarCount






      ENTRY:Min Pos. In Scan Line,$1B $48 $51=0,$20 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20
      ENTRY:Max Pos. In Scan Line,$1B $48 $52=54,$56 @Code Type<>Disabled&Code Position Test<>Disabled
        NUM:0..54,$20

      ENTRY:Match 1,$1B $48 $48=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 2,$1B $48 $49=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 3,$1B $48 $4A=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Match 4,$1B $48 $4B=Disabled,$7F @Code Type<>Disabled #10209
        DEF:MatchOpts
      ENTRY:Local No Read Char.,$1B $48 $4C=CAN,$18 @Code Type<>Disabled&Global No Read Char.=Disabled #10210
        CHR:$00..$7E


  PAGE:Main Int. #20000 ;====================================
    HDR:Configuration #20100 ;-----------------------------
      ENTRY:Serial Interface Type,$1B $4C $41=RS232,$20 #20500
        VAL:RS232,$20
        VAL:RS485,$21

      ENTRY:Protocol Type,$1B $4C $4F=No protocol,$20 #20200
        VAL:No protocol,$20
        VAL:MUX32,$23
        VAL:Siemens 3964,$21
        VAL:Siemens RK512,$22
;/*---------------24.01.2005 15:15----es---WITRON---A---serie 2xxx-------------*/
        VAL:WITRON_2_WIRE,$24
;/*---------------24.01.2005 15:15----es---WITRON---A---serie 2xxx-------------*/


      ENTRY:Multidrop Address,$1B $4C $48=31,$3F @Protocol Type=MUX32,WITRON_2_WIRE,WITRON_4_WIRE #20302
        NUM:0..31,$20

      ENTRY:Baud Rate,$1B $4C $43=9600,$26 #20101
        DEF:BaudRates
      ENTRY:Parity,$1B $4C $44=None,$20 @Protocol Type<>MUX32 #20101
        DEF:Parities
      ENTRY:Data Bits,$1B $4C $45=8,$21 @Protocol Type=No protocol #20101
        DEF:DataBits
      ENTRY:Stop Bits,$1B $4C $46=1,$20 @Protocol Type=No protocol #20101
        DEF:StopBits
      ENTRY:Handshake,$1B $4C $47=None,$20 @Protocol Type=No protocol #20105
        DEF:HandShakes_M
      ENTRY:Data Transmission,$1B $4C $42=Enabled,$21 #20106
        DEF:EnabDisab

    HDR:Witron Protocol #20300;-----------------------------------
/*---------------24.01.2005 15:19----es---WITRON---A---serie 2xxx-------------*/


;/*   ENTRY:CBOX110 Defaults ,$1B $53 $49=Disabled,$20
;/*        VAL:DL_Standard RS232,$20
;/*        VAL:DL_MUX32,$21
;/*        VAL:WITRON,$22
;/*        VAL:DL_Standard RS422,$23

      ENTRY:Block Check Char,$1B $53 $42=Enabled,$21 @Protocol Type=WITRON_2_WIRE,WITRON_4_WIRE #200301
        DEF:EnabDisab
      ENTRY:Good Read Char,$1B $53 $43=P,$50 #200302
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Reading Status Char, $1B $53 $44=!,$21 #200303
        VAL:Disabled,$7F
        CHR:$00..$7E
/*---------------24.01.2005 15:19----es---WITRON---A---serie 2xxx-------------*/

    HDR:Siemens Protocol #20200 ;---------------------------
      ENTRY:Checksum,$1B $4C $50=Disabled,$20 @Protocol Type=Siemens 3964,Siemens RK512 #20213
        DEF:EnabDisab
      ENTRY:Priority,$1B $4C $5A=High,$21 @Protocol Type=Siemens 3964,Siemens RK512 #20214
        VAL:Low,$20
        VAL:High,$21
      ENTRY:Header n.5,$1B $4C $51=$0A,$0A @Protocol Type=Siemens RK512 #20215
        HEX:$00..$FF
      ENTRY:Header n.6,$1B $4C $52=$01,$01 @Protocol Type=Siemens RK512 #20215
        HEX:$00..$FF
      ENTRY:Header n.9,$1B $4C $53=$7E,$7E @Protocol Type=Siemens RK512 #20215
        HEX:$00..$FF
      ENTRY:Header n.10,$1B $4C $54=$7E,$7E @Protocol Type=Siemens RK512 #20215
        HEX:$00..$FF
      ENTRY:Fill Character,$1B $4C $55=$30,$30 @Protocol Type=Siemens RK512 #20216
        HEX:$00..$FF
      ENTRY:Fill Position,$1B $4C $56=Before Data,$20 @Protocol Type=Siemens RK512 #20217
        VAL:Before Data,$20
        VAL:After Data,$21



  PAGE:Aux. Int. #30000 ;====================================
    HDR:Configuration ;-------------------------------
      ENTRY:Communication Mode,$1B $4C $49=Local Echo,$22 #30200
        VAL:Standard,$20
        VAL:Pass Through,$21
        VAL:Local Echo,$22
      ENTRY:Baud Rate,$1B $4C $4A=9600,$26 #30101
        DEF:BaudRates
      ENTRY:Parity,$1B $4C $4B=None,$20 #30101
        DEF:Parities
      ENTRY:Data Bits,$1B $4C $4C=8,$21 #30101
        DEF:DataBits
      ENTRY:Stop Bits,$1B $4C $4D=1,$20 #30101
        DEF:StopBits
      ENTRY:Handshake,$1B $4C $4E=None,$20 #30105
        DEF:HandShakes_A
  PAGE:Output Lines #20400 ;====================================
    HDR:OUT1 Configuration #20400 ;-------------------------------
      ENTRY:Event,$1B $47 $61=No Read,$20 #20410
        DEF:OutxActOn
      ENTRY:Idle State,$1B $47 $68=Normally Open,$20 #20420
        DEF:InOutxConfig
      ENTRY:Mode,$1B $47 $48=50 ms pulse,$26 #20430
        DEF:OutxMode
      ENTRY:Event Counter LSB,$1B $47 $72=$01,$01 #20435
        HEX:$00..$FF
      ENTRY:Event Counter MSB,$1B $47 $73=$00,$00 #20435
        HEX:$00..$FF
      ENTRY:Event Counter Mode,$1B $47 $4D=Consecutive,$20 #20436
        VAL:Consecutive,$20
        VAL:Not Consecutive,$21
;	VAL:Consecutive/Count one,$22
;	VAL:Not Consecutive/Count one,$23
    HDR:OUT2 Configuration #20400 ;-------------------------------
      ENTRY:Event,$1B $47 $62=Right,$21 #20410
        DEF:OutxActOn
      ENTRY:Idle State,$1B $47 $69=Normally Open,$20 #20420
        DEF:InOutxConfig
      ENTRY:Mode,$1B $47 $49=50 ms pulse,$26 #20430
        DEF:OutxMode
      ENTRY:Event Counter LSB,$1B $47 $74=$01,$01 #20435
        HEX:$00..$FF
      ENTRY:Event Counter MSB,$1B $47 $75=$00,$00 #20435
        HEX:$00..$FF
      ENTRY:Event Counter Mode,$1B $47 $4E=Consecutive,$20 #20436
        VAL:Consecutive,$20
        VAL:Not Consecutive,$21
;	VAL:Consecutive/Count one,$22
;	VAL:Not Consecutive/Count one,$23







    HDR:Output Lines Activation
      ENTRY:Output Lines Active,$1B $47 $7B=On Decoding,$20 #20440
        VAL:On Decoding,$20
        VAL:After Reading Phase Off,$21
  PAGE:Data Format #40000 ;=================================
    HDR:Data Format ;-------------------------------------------
      ENTRY:Header 1,$1B $4B $43=STX,$02 #40102
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Header 2,$1B $4B $44=Disabled,$7F #40102
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Header 3,$1B $4B $45=Disabled,$7F #40102
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Header 4,$1B $4B $46=Disabled,$7F #40102
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Code Field Length,$1B $4B $51=Variable,$20 #40104
        VAL:Variable,$20
        VAL:Code Length,$FF
        NUM:1..50,$21
      ENTRY:Data Justification,$1B $4B $52=Left,$20 @Code Field Length<>Variable,Code Length #40105
        VAL:Left,$20
        VAL:Right,$21
      ENTRY:Fill Character,$1B $4B $53=Space,$20 @Code Field Length<>Variable,Code Length #40106
        CHR:$00..$7E
      ENTRY:Reader Failure Char.,$1B $4B $4C=BEL,$07 #40112
        CHR:$00..$7E
      ENTRY:Motor Off Char.,$1B $4B $59=!,$21 #40120
        CHR:$00..$7E
      ENTRY:Data Packet Separator 1,$1B $4B $4D=CR,$0D #40109
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Data Packet Separator 2,$1B $4B $4E=LF,$0A #40109
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Terminator 1,$1B $4B $47=CR,$0D #40110
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Terminator 2,$1B $4B $48=LF,$0A #40110
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Terminator 3,$1B $4B $49=Disabled,$7F #40110
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Terminator 4,$1B $4B $4A=Disabled,$7F #40110
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Reading Phase Err. Char.,$1B $47 $47=Disabled,$7F #40113
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Info Field Separator 1,$1B $4B $4F=CR,$0D @Reading Phase Err. Char.<>Disabled #40111
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Info Field Separator 2,$1B $4B $50=LF,$0A @Reading Phase Err. Char.<>Disabled #40111
        VAL:Disabled,$7F
        CHR:$00..$7E
      ENTRY:Code Position Tx,$1B $47 $4F=Disabled,$20
        DEF:EnabDisab
/*---------------08.02.2005 16:34----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Code Direction,$1B $53 $48=Enabled,$21 #72602
        DEF:EnabDisab
/*---------------08.02.2005 16:34----es---WITRON---A---serie 2xxx-------------*/

      ENTRY:Code Identifier Tx,$1B $4D $30=Disabled,$20 #40103
        DEF:EnabDisab
    HDR:Data Transmission ;-------------------------------------
      ENTRY:Header Tx Start,$1B $4B $41=With Data,$21 #40101
        VAL:After Reading Phase On,$20
        VAL:With Data,$21
      ENTRY:Data Tx Start, $1B $4B $42=On Decoding,$20 #40114
        VAL:On Decoding,$20
        VAL:After Reading Phase Off,$21
    HDR:Code Identifiers;----------------------------
    HDR:2/5 INTERLEAVED #40115;----------------------------
      ENTRY:Identifier Character 1,$1B $4D $31=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $32=I,$49 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $33=0,$30 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:CODE 39 #40115;--------------------------------
      ENTRY:Identifier Character 1,$1B $4D $34=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $35=A,$41 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $36=0,$30 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:CODE 39 FULL ASCII #40115;------------------------------
      ENTRY:Identifier Character 1,$1B $4D $37=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $38=A,$41 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $39=4,$34 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:CODABAR #40115;------------------------------------
      ENTRY:Identifier Character 1,$1B $4D $40=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $41=F,$46 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $42=0,$30  @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
;    HDR:PAKO #40115;------------------------------------
;      ENTRY:Identifier Character 1,$1B $4D $7c=],$5D @Code Identifier Tx=Enabled #40115
;        DEF:GenericChr
;      ENTRY:Identifier Character 2,$1B $4D $7d=X,$58 @Code Identifier Tx=Enabled #40115
;        DEF:GenericChr
;      ENTRY:Identifier Character 3,$1B $4D $7e=0,$30 @Code Identifier Tx=Enabled #40115
;        DEF:GenericChr
    HDR:ABC CODABAR #40115;------------------------------------
      ENTRY:Identifier Character 1,$1B $4D $2D=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $2E=F,$46 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $2F=1,$31 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:CODE 128 #40115;-----------------------------------
      ENTRY:Identifier Character 1,$1B $4D $43=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $44=C,$43 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $45=0,$30 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:EAN 128 #40115;------------------------------------
      ENTRY:Identifier Character 1,$1B $4D $46=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $47=C,$43 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $48=1,$31 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:ISBT 128 #40115;------------------------------------
      ENTRY:Identifier Character 1,$1B $4D $79=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $7A=C,$43 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $7B=4,$34 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:CODE 93 #40115;------------------------------------
      ENTRY:Identifier Character 1,$1B $4D $49=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $4A=G,$47 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $4B=0,$30 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:PHARMACODE #40115;---------------------------------
      ENTRY:Identifier Character 1,$1B $4D $76=.,$2E @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $77=.,$2E @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $78=.,$2E @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:EAN 13 #40115;-------------------------------------
      ENTRY:Identifier Character 1,$1B $4D $4F=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $50=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $51=0,$30 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:EAN 8 #40115;---------------------------------------
      ENTRY:Identifier Character 1,$1B $4D $52=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $53=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $54=4,$34 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:UPCA #40115;----------------------------------------
      ENTRY:Identifier Character 1,$1B $4D $55=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $56=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $57=0,$30 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:UPCE #40115;-----------------------------------------
      ENTRY:Identifier Character 1,$1B $4D $58=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $59=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $5A=7,$37 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:EAN13 ADDON2 #40115;---------------------------------
      ENTRY:Identifier Character 1,$1B $4D $5B=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $5C=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $5D=1,$31 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:EAN8 ADDON2 #40115;----------------------------------
      ENTRY:Identifier Character 1,$1B $4D $5E=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $5F=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $60=5,$35 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:UPCA ADDON2 #40115;----------------------------------
      ENTRY:Identifier Character 1,$1B $4D $61=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $62=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $63=1,$31 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:UPCE ADDON2 #40115;----------------------------------
      ENTRY:Identifier Character 1,$1B $4D $64=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $65=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $66=8,$38 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:EAN13 ADDON5 #40115;---------------------------------
      ENTRY:Identifier Character 1,$1B $4D $67=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $68=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $69=2,$32 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:EAN8 ADDON5 #40115;----------------------------------
      ENTRY:Identifier Character 1,$1B $4D $6A=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $6B=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $6C=6,$36 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:UPCA ADDON5 #40115;----------------------------------
      ENTRY:Identifier Character 1,$1B $4D $6D=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $6E=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $6F=2,$32 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
    HDR:UPCE ADDON5 #40115;----------------------------------
      ENTRY:Identifier Character 1,$1B $4D $70=],$5D @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 2,$1B $4D $71=E,$45 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
      ENTRY:Identifier Character 3,$1B $4D $72=9,$39 @Code Identifier Tx=Enabled #40115
        DEF:GenericChr
  PAGE:Op. Mode #50000 ;===================================
    HDR:Operating Mode Selection #50100 ;-----------------
      ENTRY:Operating Mode,$1B $47 $41=On-Line,$20 #50100
        VAL:On-Line,$20
        VAL:Serial-On-Line,$21
        VAL:Automatic,$22
;        VAL:Continuous,$24  ;added on 07/03/2006 12.55 rel. 1.02
        VAL:Test,$23
    HDR:Operating Mode Options #50300 ;---------------------
      ENTRY:External Trigger,$1B $47 $64=Standard,$20 @Operating Mode=On-Line #50314
        VAL:Standard,$20
        VAL:Inverse,$21
      ENTRY:External Trigger Filter,$1B $47 $7A=Disabled,$20 @Operating Mode=On-Line #50315
        DEF:EnabDisab
      ENTRY:Serial Start Character,$1B $47 $44=STX,$02 @Operating Mode<>On-Line,Automatic,Test,Continuous #50302
        CHR:$00..$7E
      ENTRY:Serial Stop Character,$1B $47 $45=ETX,$03 @Operating Mode<>On-Line,Automatic,Test,Continuous #50303
        CHR:$00..$7E
      ENTRY:Reading Phase Timeout,$1B $47 $46=Disabled,$20 @Operating Mode=On-Line,Serial-On-Line #50312
        VAL:Disabled,$20
        VAL:30 ms,$30
        VAL:60 ms,$31
        VAL:80 ms,$32
        NUM:100..900,$21,100, ms
        NUM:1..3,$2A,0.5, s
        VAL:4 s,$2F
      ENTRY:Reading Phase Off,$1B $47 $65=Trigger off / Serial stop,$20 @Reading Phase Timeout<>Disabled&Operating Mode=On-Line,Serial-On-Line #50313
        VAL:Trigger off / Serial stop,$20
        VAL:Always Timeout,$21
      ENTRY:Automatic Threshold,$1B $47 $42=50,$29 @Operating Mode=Automatic #50305
        NUM:5..50,$20,5
        NUM:100..400,$2A,50
      ENTRY:Test On,$1B $47 $4C=Good Read Rate,$20 @Operating Mode=Test #50307
        VAL:Good Read Rate,$20
        VAL:Positioning Quality,$21
;      ENTRY:Code Filter Depth,$1B $4F $5A=3,$23 @Operating Mode=Continuous #50320
;        VAL:Disabled,$20
;        NUM:1..30,$21
;      ENTRY:Continuous Threshold,$1B $4F $5B=50,$29 @Operating Mode=Continuous
;        VAL:Disabled,$31
;        NUM:5..50,$20,5
;        NUM:100..400,$2A,50

;/*---------------24.01.2005 15:21----es---WITRON---A---serie 2xxx-------------*/
      ENTRY:Statistic Counters,$1B $47 $5E =Disabled,$20 @Operating Mode<>Test #503200
        VAL:Disabled,$20
        VAL:Scans-GoodScans-Dec.,$21
        VAL:Scans & Decodings,$22
        VAL:Only Decodings,$23


      ENTRY:Statistic Format,$1B $53 $46=Datalogic Standard,$20 @Statistic Counters<>Disabled #503201
        VAL:Standard,$20
        VAL:Witron,$21

      ENTRY:Statistic Transmit,$1B $53 $47=Only Aux Port,$21 @Statistic Counters<>Disabled #503202
        VAL:Main+Aux Port,$20
        VAL:Only Aux Port,$21
;     HDR:Ext. Reading Parameters ;------------------------------
;      ENTRY:Acquisition Buffer Depth,$1B $47 $5C=Unlimited,$FF #503160
;        VAL:Unlimited,$FF
;        VAL:Half scans,$00
;        NUM:1..10,$01,1
;/*---------------24.01.2005 15:21----es---WITRON---A---serie 2xxx-------------*/

    HDR:Reading System Layout #50200 ;-----------------------
      ENTRY:Device Assignment,$1B $47 $4B=Alone,$20 #50201
        VAL:Alone,$20
        VAL:Master RS232 (Type A),$23
        VAL:Slave   RS232 (Type A),$24
        VAL:Master RS485 (Type B),$21
        VAL:Slave   RS485 (Type B),$22
        VAL:Slave   RS485 (Type C),$25
        VAL:Slave   RS485 (Type D),$26
      ENTRY:Nr. Of Slaves (Type A),$1B $47 $76=1,$20 @Device Assignment=Master RS232 (Type A)&Operating Mode=On-Line,Serial-On-Line #50205

        NUM:1..9,$20
      ENTRY:Nr. Of Slaves (Type B),$1B $47 $5B=1,$20 @Device Assignment=Master RS485 (Type B)&Operating Mode=On-Line #50202
        NUM:1..5,$20








  PAGE:Reading Param. #60000;=================================
    HDR:Reading Parameters ;-------------------------------
      ENTRY:Beam Shutter,$1B $47 $51=Triggered,$21 #60101
        DEF:BeamShutter
;      ENTRY:~Overflow,$1B $47 $59=28.44 s,$42 #60107
       ENTRY:~Overflow,$1B $47 $59=Automatic, $00 #60107
        DEF:Overflow

      ENTRY:Overflow Ratio,$1B $42 $43=7,$07 @Overflow=Automatic  #60108;
        NUM:3..32,$03                              ;



      ENTRY:Motor Control,$1B $47 $6E=Speed_2,$21 #60126
       VAL:Motor Off,$20
       VAL:Speed_2,$21
       VAL:Speed_3,$22





      ENTRY:Code Reading Condition,$1B $47 $6C=Standard,$20 #60122
        DEF:StdDifTgl
      ENTRY:Serial Motor Start,$1B, $47, $70=Disabled,$7F #60130
	DEF:GenericChr
      ENTRY:Serial Motor Stop,$1B, $47, $71=Disabled,$7F #60131
	DEF:GenericChr

  PAGE:Verifier #70000 ;=====================================
    HDR:Verifier Options #70100 ;--------------------
      ENTRY:Code Verifier,$1B $4E $41=Disabled,$20 #70101
        DEF:EnabDisab
      ENTRY:Store Verifier HW,$1B $47 $5A=Disabled,$20 @Code Verifier=Enabled #70102
        DEF:EnabDisab
      ENTRY:Store In EEPROM,$1B $4E $5D=Enabled,$21 @Code Verifier=Enabled #70103
        DEF:EnabDisab
      ENTRY:Wrong Code Character,$1B $4B $58=Disabled,$7F @Code Verifier=Enabled #70105
        DEF:GenericChr
    HDR:Verifier Code Values #70200 ;-----------------------
      ENTRY:Verifier Code Length,$1B $4E $43=Variable,$20 @Code Verifier=Enabled #70201
        VAL:Variable,$20
        NUM:1..32,$21,1
      ENTRY:Character 1,$1B $4E $44=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 2,$1B $4E $45=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 3,$1B $4E $46=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 4,$1B $4E $47=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 5,$1B $4E $48=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 6,$1B $4E $49=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 7,$1B $4E $4A=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 8,$1B $4E $4B=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 9,$1B $4E $4C=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 10,$1B $4E $4D=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 11,$1B $4E $4E=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 12,$1B $4E $4F=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 13,$1B $4E $50=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 14,$1B $4E $51=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 15,$1B $4E $52=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 16,$1B $4E $53=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 17,$1B $4E $54=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 18,$1B $4E $55=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 19,$1B $4E $56=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 20,$1B $4E $57=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 21,$1B $4E $58=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 22,$1B $4E $59=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 23,$1B $4E $5A=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 24,$1B $4E $61=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 25,$1B $4E $62=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 26,$1B $4E $63=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 27,$1B $4E $64=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 28,$1B $4E $65=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 29,$1B $4E $66=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 30,$1B $4E $67=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 31,$1B $4E $68=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode
      ENTRY:Character 32,$1B $4E $69=Disabled,$7F @Code Verifier=Enabled #70202
        DEF:VerCode













